Retrieve an event type

GET
/v1/scheduling/event_types/{event_type}

An event type by its id or your uid.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

event_type*string

The event type's id or uid.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The event type.

application/json
  1. response
object*"scheduling.event_type"
Value in"scheduling.event_type"
id*string
uid*string|null
title*string
kind*string
Value in"one_on_one""pool""collective""group"
status*string
Value in"active""archived"
duration_minutes*number
duration_options*array<number>
step_minutes*number
grid_time_zone*string|null
buffer_before_minutes*number
buffer_after_minutes*number
min_notice_minutes*number
booking_window*||null
limits*array<>
capacity*number|null
requires_approval*boolean
approval_ttl_minutes*number
hold_ttl_seconds*number
cancel_notice_minutes*number
reschedule_notice_minutes*number
questions*array<>
locations*array<||||>
host_filter*|null
hosts*array<>
metadata*
created_at*string
updated_at*string
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.scheduling.eventTypes.get({  value: "evtype_01kd2m9a0b1c2d3e4f5g6h7j8m",});
{  "object": "scheduling.event_type",  "id": "evtype_01kd2m9a0b1c2d3e4f5g6h7j8m",  "uid": null,  "title": "Initial consultation",  "kind": "one_on_one",  "status": "active",  "duration_minutes": 30,  "duration_options": [],  "step_minutes": 30,  "grid_time_zone": null,  "buffer_before_minutes": 0,  "buffer_after_minutes": 10,  "min_notice_minutes": 120,  "booking_window": null,  "limits": [],  "capacity": null,  "requires_approval": false,  "approval_ttl_minutes": 1440,  "hold_ttl_seconds": 600,  "cancel_notice_minutes": 0,  "reschedule_notice_minutes": 0,  "questions": [],  "locations": [],  "host_filter": null,  "hosts": [    {      "host": "host_01kd2m9a0b1c2d3e4f5g6h7j8m",      "role": "member",      "weight": 100,      "schedule": null    }  ],  "metadata": {},  "created_at": "2027-01-01T10:00:00.000Z",  "updated_at": "2027-01-01T10:00:00.000Z"}